<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/XHXBaseHead.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_base_head_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXBaseHead.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_base_head_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXBaseHead.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  Pods</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by 姚雪莹 on 2019/8/8.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef XHXBaseHead_h</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define XHXBaseHead_h</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_utils_macros_8h.html">UtilsMacros.h</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_u_i_constants_8h.html">UIConstants.h</a>&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_base_view_controller_8h.html">BaseViewController.h</a>&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_base_collection_view_controller_8h.html">BaseCollectionViewController.h</a>&quot;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_base_table_view_controller_8h.html">BaseTableViewController.h</a>&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_k_o_navigation_controller_8h.html">KONavigationController.h</a>&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_scroll_tab_view_controller_8h.html">ScrollTabViewController.h</a>&quot;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_x_h_x_navigation_controller_8h.html">XHXNavigationController.h</a>&quot;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_background_table_view_cell_8h.html">BackgroundTableViewCell.h</a>&quot;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_k_o_custome_cell_8h.html">KOCustomeCell.h</a>&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_k_o_tab_bar_8h.html">KOTabBar.h</a>&quot;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_k_o_table_view_cell_8h.html">KOTableViewCell.h</a>&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_radio_view_8h.html">RadioView.h</a>&quot;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* XHXBaseHead_h */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_k_o_tab_bar_8h_html"><div class="ttname"><a href="_k_o_tab_bar_8h.html">KOTabBar.h</a></div></div>
<div class="ttc" id="a_x_h_x_navigation_controller_8h_html"><div class="ttname"><a href="_x_h_x_navigation_controller_8h.html">XHXNavigationController.h</a></div></div>
<div class="ttc" id="a_k_o_navigation_controller_8h_html"><div class="ttname"><a href="_k_o_navigation_controller_8h.html">KONavigationController.h</a></div></div>
<div class="ttc" id="a_scroll_tab_view_controller_8h_html"><div class="ttname"><a href="_scroll_tab_view_controller_8h.html">ScrollTabViewController.h</a></div></div>
<div class="ttc" id="a_base_view_controller_8h_html"><div class="ttname"><a href="_base_view_controller_8h.html">BaseViewController.h</a></div></div>
<div class="ttc" id="a_base_table_view_controller_8h_html"><div class="ttname"><a href="_base_table_view_controller_8h.html">BaseTableViewController.h</a></div></div>
<div class="ttc" id="a_radio_view_8h_html"><div class="ttname"><a href="_radio_view_8h.html">RadioView.h</a></div></div>
<div class="ttc" id="a_u_i_constants_8h_html"><div class="ttname"><a href="_u_i_constants_8h.html">UIConstants.h</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html"><div class="ttname"><a href="_utils_macros_8h.html">UtilsMacros.h</a></div></div>
<div class="ttc" id="a_base_collection_view_controller_8h_html"><div class="ttname"><a href="_base_collection_view_controller_8h.html">BaseCollectionViewController.h</a></div></div>
<div class="ttc" id="a_background_table_view_cell_8h_html"><div class="ttname"><a href="_background_table_view_cell_8h.html">BackgroundTableViewCell.h</a></div></div>
<div class="ttc" id="a_k_o_custome_cell_8h_html"><div class="ttname"><a href="_k_o_custome_cell_8h.html">KOCustomeCell.h</a></div></div>
<div class="ttc" id="a_k_o_table_view_cell_8h_html"><div class="ttname"><a href="_k_o_table_view_cell_8h.html">KOTableViewCell.h</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="_x_h_x_base_head_8h.html">XHXBaseHead.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
